Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.naming
Class TurbineNamingService

    java.lang.Object
      org.apache.turbine.services.BaseInitable
          org.apache.turbine.services.BaseService
              org.apache.turbine.services.TurbineBaseService
                  org.apache.turbine.services.naming.TurbineNamingService

All Implemented Interfaces:
  Initable, NamingService, Service

    public class TurbineNamingService

extends TurbineBaseService
implements NamingService

This class is the default implementation of NamingService, which provides JNDI naming contexts.

Version:
  $Id: TurbineNamingService.java 1078552 2011-03-06 19:58:46Z tv $
Author:
  Greg Ritter, Colin Chalmers, Henning P. Schmiedehausen, Peter Courcoux

Field Summary

Fields inherited from class org.apache.turbine.services.BaseService
`configuration, name, serviceBroker`

Fields inherited from class org.apache.turbine.services.BaseInitable
`initableBroker, isInitialized`

Fields inherited from interface org.apache.turbine.services.naming.NamingService
`SERVICE_NAME`

Constructor Summary
`TurbineNamingService()`

Method Summary
`Context` | `getContext(String contextName)` Return the Context with the specified name.
`void` | `init()` Called the first time the Service is used.

Methods inherited from class org.apache.turbine.services.TurbineBaseService
`init, init, init, shutdown`

Methods inherited from class org.apache.turbine.services.BaseService
`getConfiguration, getName, getProperties, getServiceBroker, setName, setServiceBroker`

Methods inherited from class org.apache.turbine.services.BaseInitable
`getInit, getInitableBroker, setInit, setInitableBroker`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.turbine.services.Service
`getConfiguration, getName, getProperties, setName, setServiceBroker`

Methods inherited from interface org.apache.turbine.services.Initable
`getInit, init, setInitableBroker, shutdown`

Constructor Detail

### TurbineNamingService

    public TurbineNamingService()

Method Detail

### init

    public void init()
              throws InitializationException

  Called the first time the Service is used.

  Specified by:
    `init` in interface `Initable`
  Overrides:
    `init` in class `TurbineBaseService`
  Throws:
    `InitializationException` - Initialization of this class was not successful.

### getContext

    public Context getContext(String contextName)

  Return the Context with the specified name. The Context is constructed using the properties for the context with the specified name; ie. those properties that start with "services.servicename.properties.name.".

  Specified by:
    `getContext` in interface `NamingService`
  Parameters:
    `contextName` - The name of the context.
  Returns:
    The context with the specified name, or null if no context exists with that name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.